/****************************************************  Wavefront Header  *****************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Rev History: 1-10-2014:		Inital release.

	Copyright 2014, Red Rapids, Inc.

*****************************************************  Wavefront Header  ****************************************************/

#ifndef _WAVEFRONT_H_
#define _WAVEFRONT_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Device numbers:
#define DEV0 0
#define DEV1 1
#define DEV2 2
#define DEV3 3
#define DEV4 4
#define DEV5 5
#define DEV6 6
#define DEV7 7

// BAR numbers:
#define BAR2 2

// BAR2 register names:
#define IDENTIFICATION 0x04
#define SERIAL_CONFIG 0x00
#define COMMAND_STATUS 0x14

// Serial bus chip selects:
#define ALL_DESELECT ~0x0
#define SYNTHESIZER ~0x1
#define TRIM_DAC_Q ~0x2
#define TRIM_DAC_I ~0x4
#define ATTENUATOR ~0x8

#ifdef __cplusplus
}
#endif

#endif
